<?php /*
    This file is part of JEPUT.

    JEPUT is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    JEPUT is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with JEPUT; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/ ?>
<?php
	include_once("secret/data.php");
	$JEPUTlogin="";
	$JEPUTtoken="";
	$connecting=1;
	setcookie("JEPUTlogin", "", [
		'expires' => 1,
		'path' => $myPath."/",
		'domain' => $myDomainname,
		'secure' => true,
		'httponly' => true,
		'samesite' => 'strict'
	]);
	
	setcookie("JEPUTtoken", "", [
		'expires' => 1,
		'path' => $myPath."/", 
		'domain' => $myDomainname,
		'secure' => true,
		'httponly' => true,
		'samesite' => 'strict'
	]);
?>
<?php $title = "Gestion de comptes bancaires en ligne"; include("meta.inc.php"); ?>
</HEAD>

<BODY>
<?php $pagetitle="Connexion &agrave; JEPUT";?>
<?php include("tableBegin.php");?>
	<div class="nolist">
	<b>JEPUT</b> est un logiciel de <b>gestion de comptes bancaires en ligne</b>. Il vous permettra de faire votre <b>comptabilité sur internet</b>, de n'importe quel ordinateur.
	<br>
	<div id="logindiv" class="shadow">
	<form action="login.php" method="post">
	<?php 
		if (isset($_REQUEST["erreur"])) {
			if($_REQUEST["erreur"]=="1")
				echo "<div class='error grey_border msg'>Mauvaise identification, veuillez r&eacute;essayez.</div>";
			if($_REQUEST["erreur"]=="2")
				echo "<div class='error grey_border msg'>Vous &ecirc;tes d&eacute;connect&eacute;.</div>";
			if($_REQUEST["erreur"]=="666")
				echo "<div class='error grey_border msg'>Jeput est actuellement indisponible. D&eacute;sol&eacute; pour le d&eacute;rangement.</div>";
		}
		if(isset($_REQUEST["newlogin"]) && isset($_REQUEST["valid_pending"]))
			echo "<div class='msg grey_border shadow'>Bienvenue sur JEPUT ! Vous pourrez<br>vous connecter dès validation de votre adresse email.</div>";
		else if(isset($_REQUEST["newlogin"]))
			echo "<div class='msg grey_border shadow'>Bienvenue sur JEPUT ! Vous pouvez<br>vous connecter dès maintenant.</div>";
	?>
	<table style="margin: 0 auto;">
	<?php 
	if(isset($_REQUEST["goto"])){
		$goto=urldecode($_REQUEST["goto"]);
		$goto=explode("/",$goto);
		$len=sizeof($goto);
		$goto=$goto[$len-1];
	}
	else $goto="mescomptes.php?l=1";
	?>
			<tr valign=middle style="text-align: center;">
				<td colspan=2>Entrez votre login et votre mot de passe. </td>
			</tr>
			<tr valign=middle>
				<td align=right>
					<input type="hidden" name="goto" value="<?php echo $goto; ?>">
					<span class=important>Login</span>&nbsp;:
				</td>
				<td><?php if (isset($_REQUEST["livedemo"]))
						$oldlog="test"; 
					  else if (isset($_REQUEST["oldlog"]))
						$oldlog=$_REQUEST["oldlog"]; 
					  else if (isset($_REQUEST["newlogin"]))
						$oldlog=$_REQUEST["newlogin"]; 

					  if (isset($oldlog)) {
						$afLogin="";
						$afPass ="autofocus";
					  } else {
						$afLogin="autofocus";
						$afPass ="";
						$oldlog="";
					  }
				    ?>
					<input type="text" name="login" id="loginf" maxlength=25 value="<?php echo $oldlog; ?>" class="formulaire" <?php echo $afLogin;?>>
				</td>
			</tr>
			<tr valign=middle>
				<td align=right>
					<span class=important>Mot de passe</span>&nbsp;:
				</td>
				<td> <?php if (isset($_REQUEST["livedemo"])) $oldpas="jeput"; else $oldpas=""; ?>
					<input type="password" name="password" maxlength=25 value="<?php echo $oldpas; ?>" class="formulaire" <?php echo $afPass; ?>>
				</td>
			</tr>
			<tr valign=middle style="text-align: center;">
				<td colspan=2>
					<input type="submit" name="sub" value="Connexion"> ou
					<input type="button" name="insc" value="Inscription" onclick="location.href='s_inscrire.php?log='+myescape($('loginf').value);">
				</td>
			</tr>
	</table>
	</form>
	</div>
	<br>
	<?php
	if(isset($_REQUEST["livedemo"]))
		echo "<br>Vous allez accéder à la démonstration sous le login <span class=important>test</span>.<br>";
	else
		echo "<br>Si vous n'êtes pas inscrit, vous pouvez accéder à une <a href='index.php?livedemo=1'>démonstration</a> ou <a href='s_inscrire.php'>vous inscrire</a> (c'est gratuit).<br>";
	?>
	Si vous avez oubli&eacute; votre mot de passe, vous pouvez <a href="reset_password_init.php">demander son changement</a>.
	<br>	<br>
<?php if ($_SERVER["HTTPS"]!="on") { ?> 
	<span class=important>Pour les paranoïaques</span> : Vous devriez accéder au <a href="https://<?php echo $myHostname; ?>/jeput/index.php">site via https</a> afin d'éviter que toutes les données transitent en clair entre votre navigateur et le serveur.
	<br><br>
	</span>
<?php } ?>
<?php include("nouveautes.txt"); ?>
	Votre navigateur doit accepter les cookies pour que ce site fonctionne. Ils sont utilisés afin de stocker votre login pendant le temps de vos sessions.<br>
	Pour plus de sécurité, pensez à vous déconnecter à la fin de votre session, et ceci plus particulièrement si l'ordinateur utilisé est un ordinateur public.
	<br><br>
	<a href="opensource.php">JEPUT est un logiciel libre</a>, distribué sous licence GPLv3. 
	</div>
</DIV>
<?php include("tableEnd.php");?>
<?php if (isset($_REQUEST["livedemo"]) && $_REQUEST["livedemo"] == 1) 
	echo "<script type='text/javascript'> setTimeout('document.forms[0].submit()', 1000); </script>";
      
?>
</BODY>
</HTML>
