DROP TABLE IF EXISTS `ACCOUNT`;
CREATE TABLE `ACCOUNT` (
  `AC_ID` int(10) NOT NULL auto_increment,
  `AC_US_ID` int(10) default NULL,
  `AC_NAME` varchar(60) default NULL,
  `AC_LAST_CHANGE` datetime default NULL,
  PRIMARY KEY  (`AC_ID`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

--
-- Dumping data for table `ACCOUNT`
--

DROP TABLE IF EXISTS `CATEGORIE`;
CREATE TABLE `CATEGORIE` (
  `CA_ID` int(10) NOT NULL auto_increment,
  `CA_US_ID` int(10) default NULL,
  `CA_LIBELLE` varchar(255) default NULL,
  `CA_LANG` char(2) NOT NULL default '',
  PRIMARY KEY  (`CA_ID`,`CA_LANG`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

--
-- Dumping data for table `CATEGORIE`
--


/*!40000 ALTER TABLE `CATEGORIE` DISABLE KEYS */;
LOCK TABLES `CATEGORIE` WRITE;
INSERT INTO `CATEGORIE` VALUES (0,NULL,'Charges','fr'),(2,NULL,'Transport','fr'),(3,NULL,'Automobile','fr'),(4,NULL,'Loisirs','fr'),(5,NULL,'Revenus financiers','fr'),(6,NULL,'Courses','fr'),(8,1,'Participation','fr'),(9,1,'Cadeaux','fr'),(10,1,'Telecom','fr'),(11,30,'Sante','fr'),(12,30,'Fringues','fr'),(13,30,'Chat','fr'),(15,30,'Cadeau','fr'),(16,NULL,'Loans','en'),(1,NULL,'Various','en'),(2,NULL,'Transport','en'),(3,NULL,'Car','en'),(4,NULL,'Leisure','en'),(5,NULL,'Income','en'),(6,NULL,'House','en');
UNLOCK TABLES;
/*!40000 ALTER TABLE `CATEGORIE` ENABLE KEYS */;

DROP TABLE IF EXISTS `OPERATION`;
CREATE TABLE `OPERATION` (
  `OP_ID` int(10) NOT NULL auto_increment,
  `OP_AC_ID` int(10) NOT NULL default '0',
  `OP_DATE` date default NULL,
  `OP_TY_ID` int(2) default NULL,
  `OP_ST_ID` int(2) default NULL,
  `OP_INCOME` int(1) default NULL,
  `OP_NAME` varchar(60) default NULL,
  `OP_SUM` float(10,2) default NULL,
  `OP_OA_ID` int(10) default NULL,
  `OP_RELATEDOP_ID` int(10) default NULL,
  `OP_CA_ID` int(10) default NULL,
  PRIMARY KEY  (`OP_ID`),
  KEY `OP_AC_ID` (`OP_AC_ID`),
  KEY `OP_AC_ID_2` (`OP_AC_ID`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

DROP TABLE IF EXISTS `OPERATION_AUTO`;
CREATE TABLE `OPERATION_AUTO` (
  `OA_ID` int(10) NOT NULL auto_increment,
  `OA_AC_ID` int(10) default NULL,
  `OA_DAY` int(2) default NULL,
  `OA_WARN` int(1) default NULL,
  `OA_TY_ID` int(2) default NULL,
  `OA_ST_ID` int(2) default NULL,
  `OA_INCOME` int(1) default NULL,
  `OA_NAME` varchar(60) default NULL,
  `OA_SUM` float(10,2) default NULL,
  `OA_RELATEDAC_ID` int(10) default NULL,
  `OA_CA_ID` int(10) default NULL,
  `OA_MONTHES` varchar(37) default NULL,
  PRIMARY KEY  (`OA_ID`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

--
-- Table structure for table `SHARED_ACCOUNT`
--

DROP TABLE IF EXISTS `SHARED_ACCOUNT`;
CREATE TABLE `SHARED_ACCOUNT` (
  `SH_AC_ID` int(10) default NULL,
  `SH_US_ID` int(10) default NULL
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

/*!40000 ALTER TABLE `SHARED_ACCOUNT` DISABLE KEYS */;
LOCK TABLES `SHARED_ACCOUNT` WRITE;
INSERT INTO `SHARED_ACCOUNT` VALUES (0,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `SHARED_ACCOUNT` ENABLE KEYS */;

DROP TABLE IF EXISTS `STATUS`;
CREATE TABLE `STATUS` (
  `ST_ID` int(2) default NULL,
  `ST_NAME` varchar(30) default NULL,
  `ST_LANG` char(2) default NULL
) DEFAULT CHARSET=latin1;


/*!40000 ALTER TABLE `STATUS` DISABLE KEYS */;
LOCK TABLES `STATUS` WRITE;
INSERT INTO `STATUS` VALUES (0,'Pr&eacute;vu','fr'),(1,'Engag&eacute;','fr'),(2,'Point&eacute;','fr'),(0,'Planned','en'),(1,'Done','en'),(2,'On account','en');
UNLOCK TABLES;
/*!40000 ALTER TABLE `STATUS` ENABLE KEYS */;

--
-- Table structure for table `TYPE`
--

DROP TABLE IF EXISTS `TYPE`;
CREATE TABLE `TYPE` (
  `TY_ID` int(2) NOT NULL default '0',
  `TY_LANG` char(2) NOT NULL default '',
  `TY_NAME` varchar(30) default NULL,
  PRIMARY KEY  (`TY_ID`,`TY_LANG`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

--
-- Dumping data for table `TYPE`
--


/*!40000 ALTER TABLE `TYPE` DISABLE KEYS */;
LOCK TABLES `TYPE` WRITE;
INSERT INTO `TYPE` VALUES (0,'fr','Retrait'),(1,'fr','Ch&egrave;que'),(2,'fr','Carte bleue'),(3,'fr','Virement'),(4,'fr','Pr&eacute;l&egrave;vement'),(0,'en','Cash from ATM'),(1,'en','Check'),(2,'en','Credit/debit card'),(3,'en','Transfer');
UNLOCK TABLES;
/*!40000 ALTER TABLE `TYPE` ENABLE KEYS */;

--
-- Table structure for table `USER`
--

DROP TABLE IF EXISTS `USER`;
CREATE TABLE `USER` (
  `US_ID` int(10) NOT NULL auto_increment,
  `US_LOGIN` varchar(64) unique default NULL,
  `US_PASSWORD` varchar(20) default NULL,
  PRIMARY KEY  (`US_ID`)
) DEFAULT CHARSET=latin1 PACK_KEYS=1;

/*!40000 ALTER TABLE `USER` DISABLE KEYS */;
LOCK TABLES `USER` WRITE;
INSERT INTO `USER` VALUES (1, 'test', old_password('jeput'));
UNLOCK TABLES;
/*!40000 ALTER TABLE `USER` ENABLE KEYS */;


